/// <reference types="@figma/plugin-typings" />
import * as F from "./figma-json";
export interface DumpOptions {
    skipInvisibleNodes: boolean;
    images: boolean;
    geometry: "none" | "paths";
    styles: boolean;
    maxDepth: number;
    childrenReplacement?: F.SceneNode;
}
export declare function isVisible(n: any): any;
export declare function dump(n: readonly SceneNode[], options?: Partial<DumpOptions>): Promise<F.DumpedFigma>;
